Debian Bug report logs - #645011
RFP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Waring <paul@xk7.net>

Date: Tue, 11 Oct 2011 19:03:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, paul@xk7.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Tue, 11 Oct 2011 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
New Bug report received and forwarded. Copy sent to paul@xk7.net, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 11 Oct 2011 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Tue, 11 Oct 2011 19:58:15 +0100
Package: wnpp
Severity: wishlist
Owner: Paul Waring <paul@xk7.net>

* Package name    : libnet-ftpssl-perl
  Version         : 0.18
  Upstream Author : Curtis Leach <cleach@cpan.org>
* URL             : http://search.cpan.org/~cleah/Net-FTPSSL-0.18/
* License         : GPL or Artistic (same as Perl)
  Programming Lang: Perl
  Description     : Module for creating a client which can connect to FTPS servers.


Net::FTPSSL is a class implementing a simple FTP client over a Secure Sockets Layer (SSL) or Transport Layer Security (TLS) connection written in Perl as described in RFC959 and RFC2228. It will use TLS by default.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Wed, 02 Nov 2011 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Nov 2011 10:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Wed, 02 Nov 2011 10:53:12 +0000
On 02/11/11 10:39, Thijs Kinkhorst wrote:
>> * Package name    : libnet-ftpssl-perl
>> * URL             : http://search.cpan.org/~cleah/Net-FTPSSL-0.18/
>
> Has work on the package started yet? We may be able to dedicate some time
> to this and help out; since libnet-lite-ftp-perl has been removed from
> Squeeze, Squeeze doesn't currently have an SSL-capable FTP module, and we
> need one.

So far I've:

* Contacted the module author (Curtis Leach) who has confirmed that he 
is happy for it to go into Debian.

* Built the package using cpan2deb and deployed it to some production 
servers without any problems (I use the module at work, and having it in 
the main Debian repository would make life easier for deployments).

However, there was a new version released in the last week, so ideally 
that one would be used. I haven't had chance to test it yet though, will 
hopefully do that tonight or over the weekend.

Paul

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Waring <paul@xk7.net>:
Bug#645011; Package wnpp. (Wed, 02 Nov 2011 11:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Waring <paul@xk7.net>. (Wed, 02 Nov 2011 11:21:16 GMT) Full text and rfc822 format available.

Message #15 received at 645011@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: Paul Waring <paul@xk7.net>
Cc: <645011@bugs.debian.org>, <debian-perl@lists.debian.org>
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Wed, 02 Nov 2011 11:39:29 +0100
Hi Paul, Perl Group,

> * Package name    : libnet-ftpssl-perl
> * URL             : http://search.cpan.org/~cleah/Net-FTPSSL-0.18/

Has work on the package started yet? We may be able to dedicate some time
to this and help out; since libnet-lite-ftp-perl has been removed from
Squeeze, Squeeze doesn't currently have an SSL-capable FTP module, and we
need one.

Let me know.


-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Fri, 02 Dec 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 02 Dec 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Fri, 02 Dec 2011 13:51:43 +0000
On 02/11/11 10:53, Paul Waring wrote:
> On 02/11/11 10:39, Thijs Kinkhorst wrote:
>>> * Package name : libnet-ftpssl-perl
>>> * URL : http://search.cpan.org/~cleah/Net-FTPSSL-0.18/
>>
>> Has work on the package started yet? We may be able to dedicate some time
>> to this and help out; since libnet-lite-ftp-perl has been removed from
>> Squeeze, Squeeze doesn't currently have an SSL-capable FTP module, and we
>> need one.
>
> So far I've:
>
> * Contacted the module author (Curtis Leach) who has confirmed that he
> is happy for it to go into Debian.
>
> * Built the package using cpan2deb and deployed it to some production
> servers without any problems (I use the module at work, and having it in
> the main Debian repository would make life easier for deployments).
>
> However, there was a new version released in the last week, so ideally
> that one would be used. I haven't had chance to test it yet though, will
> hopefully do that tonight or over the weekend.

Sorry I didn't get round to this - my house purchase went through 
shortly after this email and I've been tied up with that for the past 
few weeks.

Will build and test the new version this weekend.

Paul

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Sun, 04 Dec 2011 18:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 04 Dec 2011 18:33:11 GMT) Full text and rfc822 format available.

Message #25 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Sun, 04 Dec 2011 18:32:27 +0000
On 02/12/11 13:51, Paul Waring wrote:
> On 02/11/11 10:53, Paul Waring wrote:
>> On 02/11/11 10:39, Thijs Kinkhorst wrote:
>>>> * Package name : libnet-ftpssl-perl
>>>> * URL : http://search.cpan.org/~cleah/Net-FTPSSL-0.18/
>>>
>>> Has work on the package started yet? We may be able to dedicate some
>>> time
>>> to this and help out; since libnet-lite-ftp-perl has been removed from
>>> Squeeze, Squeeze doesn't currently have an SSL-capable FTP module,
>>> and we
>>> need one.
>>
>> So far I've:
>>
>> * Contacted the module author (Curtis Leach) who has confirmed that he
>> is happy for it to go into Debian.
>>
>> * Built the package using cpan2deb and deployed it to some production
>> servers without any problems (I use the module at work, and having it in
>> the main Debian repository would make life easier for deployments).
>>
>> However, there was a new version released in the last week, so ideally
>> that one would be used. I haven't had chance to test it yet though, will
>> hopefully do that tonight or over the weekend.
>
> Sorry I didn't get round to this - my house purchase went through
> shortly after this email and I've been tied up with that for the past
> few weeks.
>
> Will build and test the new version this weekend.

It's now available here:

http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Waring <paul@xk7.net>:
Bug#645011; Package wnpp. (Mon, 05 Dec 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Waring <paul@xk7.net>. (Mon, 05 Dec 2011 10:09:11 GMT) Full text and rfc822 format available.

Message #30 received at 645011@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: Paul Waring <paul@xk7.net>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Mon, 5 Dec 2011 11:06:03 +0100
[Message part 1 (text/plain, inline)]
Op zondag 4 december 2011 19:32:27 schreef Paul Waring:
> > Will build and test the new version this weekend.
> 
> It's now available here:
> 
> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb

Interesting, but can you publish the source package aswell?


-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services • Postbus 90153, 5000 LE
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236 • http://www.uvt.nl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Mon, 05 Dec 2011 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 05 Dec 2011 10:12:04 GMT) Full text and rfc822 format available.

Message #35 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Mon, 05 Dec 2011 10:09:27 +0000
On 05/12/11 10:06, Thijs Kinkhorst wrote:
> Op zondag 4 december 2011 19:32:27 schreef Paul Waring:
>>> Will build and test the new version this weekend.
>>
>> It's now available here:
>>
>> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb
>
> Interesting, but can you publish the source package aswell?

http://www.xk7.net/debian/libnet-ftpssl-perl_0.19.orig.tar.gz

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Waring <paul@xk7.net>:
Bug#645011; Package wnpp. (Mon, 05 Dec 2011 10:21:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Waring <paul@xk7.net>. (Mon, 05 Dec 2011 10:21:37 GMT) Full text and rfc822 format available.

Message #40 received at 645011@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: Paul Waring <paul@xk7.net>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Mon, 5 Dec 2011 11:17:41 +0100
[Message part 1 (text/plain, inline)]
Op maandag 5 december 2011 11:09:27 schreef Paul Waring:
> > Op zondag 4 december 2011 19:32:27 schreef Paul Waring:
> >>> Will build and test the new version this weekend.
> >> 
> >> It's now available here:
> >> 
> >> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb
> > 
> > Interesting, but can you publish the source package aswell?
> 
> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19.orig.tar.gz

Thanks - but the source package is composed of the .orig.tar.gz, the .diff.gz 
and the .dsc. With these components together one can see the packaging and 
recreate the .deb.


-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services • Postbus 90153, 5000 LE
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236 • http://www.uvt.nl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Mon, 05 Dec 2011 10:24:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 05 Dec 2011 10:24:35 GMT) Full text and rfc822 format available.

Message #45 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>
Cc: 645011@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Mon, 05 Dec 2011 10:22:52 +0000
On 05/12/11 10:17, Thijs Kinkhorst wrote:
> Op maandag 5 december 2011 11:09:27 schreef Paul Waring:
>>> Op zondag 4 december 2011 19:32:27 schreef Paul Waring:
>>>>> Will build and test the new version this weekend.
>>>>
>>>> It's now available here:
>>>>
>>>> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb
>>>
>>> Interesting, but can you publish the source package aswell?
>>
>> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19.orig.tar.gz
>
> Thanks - but the source package is composed of the .orig.tar.gz, the .diff.gz
> and the .dsc. With these components together one can see the packaging and
> recreate the .deb.

Hmm, cpan2deb doesn't seem to create those. I'll have another look 
tonight to see if the source can be created by using dh-make-perl directly.

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645011; Package wnpp. (Tue, 06 Dec 2011 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Waring <paul@xk7.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 06 Dec 2011 22:27:06 GMT) Full text and rfc822 format available.

Message #50 received at 645011@bugs.debian.org (full text, mbox):

From: Paul Waring <paul@xk7.net>
To: Thijs Kinkhorst <thijs@uvt.nl>, 645011@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#645011: ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
Date: Tue, 06 Dec 2011 22:24:56 +0000
On 05/12/11 10:17, Thijs Kinkhorst wrote:
> Op maandag 5 december 2011 11:09:27 schreef Paul Waring:
>>> Op zondag 4 december 2011 19:32:27 schreef Paul Waring:
>>>>> Will build and test the new version this weekend.
>>>>
>>>> It's now available here:
>>>>
>>>> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19-1_all.deb
>>>
>>> Interesting, but can you publish the source package aswell?
>>
>> http://www.xk7.net/debian/libnet-ftpssl-perl_0.19.orig.tar.gz
>
> Thanks - but the source package is composed of the .orig.tar.gz, the .diff.gz
> and the .dsc. With these components together one can see the packaging and
> recreate the .deb.

I'm not sure where the .diff.gz and .dsc are supposed to come from, I am 
currently running the following command:

dh-make-perl -e paul@xk7.net --cpan Net::FTPSL --desc 'Module for 
creating a client which can connect to FTPS servers' --closes 645011

I end up with a .orig.tar.gz, but nothing else. If I add --build to the 
arguments I get the .deb as well.

-- 
Paul Waring
http://www.pwaring.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Waring <paul@xk7.net>:
Bug#645011; Package wnpp. (Mon, 27 May 2013 13:40:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Waring <paul@xk7.net>. (Mon, 27 May 2013 13:40:56 GMT) Full text and rfc822 format available.

Message #55 received at 645011@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 645011@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libnet-ftpssl-perl: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:21 +0200
retitle 645011 RFP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
noowner 645011
tag 645011 - pending
thanks

Hi,

This is an automatic email to change the status of libnet-ftpssl-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libnet-ftpssl-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 645011 ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers
 owner 645011 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <645011@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers' from 'ITP: libnet-ftpssl-perl -- Module for creating a client which can connect to FTPS servers' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:58:33 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Paul Waring <paul@xk7.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:58:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:10:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.